<?xml version="1.0" encoding="GB2312"?>
<!-- name="1.0" -->
<HONOR_ALGO_CONFIG>
    <ModelInfo path="/odm/etc/camera/semanticEngine/humandetection/" name="honor_person_detector.dlc">
        <Manager>
            <input_data_type Value="UINT8"></input_data_type>
            <output_data_type Value="UINT8"></output_data_type>
            <runtime Value="DSP"></runtime>
        </Manager>
        <InputInfo>
            <input_1 Value="input">
                <min>-1.000000000000</min>
                <max>0.992187500000</max>
                <offset>128</offset>
                <scale>0.007812500000</scale>
                <dims>4</dims>
                <shape>1, 320, 320, 3</shape>
            </input_1>
        </InputInfo>
        <OutputInfo>
            <output_1 Value="p8_1">					<!--Sigmoid_778 -->
                <min>0.000000000000</min>
                <max>0.928119719028</max>
                <offset>0</offset>
                <scale>0.003639685223</scale>
                <dims>4</dims>
                <shape>1, 40, 40, 1</shape>
            </output_1>
            <output_2 Value="p8_2">					<!--head.reg_preds.0 -->
                <min>-2.655810117722</min>
                <max>3.233160018921</max>
                <offset>115</offset>
                <scale>0.023094000295</scale>
                <dims>4</dims>
                <shape>1, 40, 40, 4</shape>
            </output_2>
            <output_3 Value="p8_3">					<!--Sigmoid_821 -->
                <min>0.000000000000</min>
                <max>0.996420145035</max>
                <offset>0</offset>
                <scale>0.003907530103</scale>
                <dims>4</dims>
                <shape>1, 40, 40, 1</shape>
            </output_3>
            <output_4 Value="p8_4">					<!--head.reg_head_preds.0 -->
                <min>-8.549566268921</min>
                <max>2.688265800476</max>
                <offset>194</offset>
                <scale>0.044069930911</scale>
                <dims>4</dims>
                <shape>1, 40, 40, 2</shape>
            </output_4>
            <output_5 Value="p8_5">					<!--Sigmoid_828 -->
                <min>0.000000000000</min>
                <max>0.925115644932</max>
                <offset>0</offset>
                <scale>0.003627904458</scale>
                <dims>4</dims>
                <shape>1, 40, 40, 1</shape>
            </output_5>
            <output_6 Value="p16_1">				<!--Sigmoid_878 -->
                <min>0.000000000000</min>
                <max>0.944240689278</max>
                <offset>0</offset>
                <scale>0.003702904563</scale>
                <dims>4</dims>
                <shape>1, 20, 20, 1</shape>
            </output_6>
            <output_7 Value="p16_2">				<!--head.reg_preds.1 -->
                <min>-3.357591390610</min>
                <max>3.437534093857</max>
                <offset>126</offset>
                <scale>0.026647550985</scale>
                <dims>4</dims>
                <shape>1, 20, 20, 4</shape>
            </output_7>
            <output_8 Value="p16_3">				<!--Sigmoid_921 -->
                <min>0.000000000000</min>
                <max>0.994605362415</max>
                <offset>0</offset>
                <scale>0.003900413169</scale>
                <dims>4</dims>
                <shape>1, 20, 20, 1</shape>
            </output_8>
            <output_9 Value="p16_4">				<!--head.reg_head_preds.1 -->
                <min>-7.390995025635</min>
                <max>8.446851730347</max>
                <offset>119</offset>
                <scale>0.062109202147</scale>
                <dims>4</dims>
                <shape>1, 20, 20, 2</shape>
            </output_9>
			<output_10 Value="p16_5">				<!--Sigmoid_928 -->
                <min>0.000000000000</min>
                <max>0.909569859505</max>
                <offset>0</offset>
                <scale>0.003566940548</scale>
                <dims>4</dims>
                <shape>1, 20, 20, 1</shape>
            </output_10>
            <output_11 Value="p32_1">				<!--Sigmoid_978 -->
                <min>0.000000000000</min>
                <max>0.844955265522</max>
                <offset>0</offset>
                <scale>0.003313550027</scale>
                <dims>4</dims>
                <shape>1, 10, 10, 1</shape>
            </output_11>
            <output_12 Value="p32_2">				<!--head.reg_preds.2 -->
                <min>-1.933406710625</min>
                <max>1.443433880806</max>
                <offset>146</offset>
                <scale>0.013242512010</scale>
                <dims>4</dims>
                <shape>1, 10, 10, 4</shape>
            </output_12>
            <output_13 Value="p32_3">				<!--Sigmoid_1021 -->
                <min>0.000000000000</min>
                <max>0.991800010204</max>
                <offset>0</offset>
                <scale>0.003889411921</scale>
                <dims>4</dims>
                <shape>1, 10, 10, 1</shape>
            </output_13>
            <output_14 Value="p32_4">				<!--head.reg_head_preds.2 -->
                <min>-0.982187330723</min>
                <max>0.721607029438</max>
                <offset>147</offset>
                <scale>0.006681546569</scale>
                <dims>4</dims>
                <shape>1, 10, 10, 2</shape>
            </output_14>
			<output_15 Value="p32_5">				<!--Sigmoid_1028 -->
                <min>0.000000000000</min>
                <max>0.009999999776</max>
                <offset>0</offset>
                <scale>0.000039215687</scale>
                <dims>4</dims>
                <shape>1, 10, 10, 1</shape>
            </output_15>			
        </OutputInfo>
        <Mean>128.0, 128.0, 128.0</Mean>
        <Std>128.0, 128.0, 128.0</Std>
<!--        <Mean>0, 0, 0</Mean>-->
<!--        <Std>1, 1, 1</Std>-->
        <MaxBit>255</MaxBit>
    </ModelInfo>
    <Preprocess>
        <operate_1>
            <type OptType="PREPROCESS_OPT_CONVERT_FORMAT" OptCls="PREPROCESS_CONVERT_FORMAT_NV12TORGB"/>
        </operate_1>
        <operate_2>
            <type OptType="PREPROCESS_OPT_RESIZE" OptCls="PREPROCESS_RESIZE_UNCHAR"/>
        </operate_2>
    </Preprocess>
</HONOR_ALGO_CONFIG>